Bug 519018 - "Using sloppy heuristic for initial modes" on old MEP monitor is too sloppy....
Summary: "Using sloppy heuristic for initial modes" on old MEP monitor is too sloppy....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 16:05 UTC by Tom London
Modified: 2018-04-11 08:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 19:13:16 UTC


Attachments (Terms of Use)
output "diff Xorg.0.log Xorg.0.log.old" (old-> MEP monitor) (30.47 KB, text/plain)
2009-08-24 16:05 UTC, Tom London
no flags Details
Photo of screen with "25% solution" partial display of gdm-greeeter (87.01 KB, image/jpeg)
2009-08-25 13:29 UTC, Tom London
no flags Details
Xorg.0.log booting with MEL monitor (66.17 KB, text/plain)
2009-08-27 18:42 UTC, Tom London
no flags Details
Xorg.0.log..... (77.48 KB, text/plain)
2009-09-09 14:24 UTC, Tom London
no flags Details

Description Tom London 2009-08-24 16:05:05 UTC
Created attachment 358476 [details]
output "diff Xorg.0.log Xorg.0.log.old" (old-> MEP monitor)

Description of problem:
Same Thinkpad X200, same package versions, same ..., just different monitors.

With older Mistsubish LCD monitor, I get some very weird and stretched display of gdm greeter (I only see about 25% of the auth "box").  With newer HP monitor, all is as expected.

If I "follow the script" to login, gnome fixes the issue and I get a "normal" display.

I'll attach the diff of the 2 Xorg.0.log files.  I do see this though:


307c306
< (II) intel(0): Using spanning desktop for initial modes
---
> (II) intel(0): Using sloppy heuristic for initial modes
309c308
< (II) intel(0): Output VGA1 using initial mode 1280x1024 +1280+0
---
> (II) intel(0): Output VGA1 using initial mode 1152x864 +0+0
314c313
< (**) intel(0): DPI set to (125, 162)
---
> (**) intel(0): DPI set to (125, 137)
374,375c373
< (II) intel(0): Setting screen physical size to 677 x 270
< (II) intel(0): Allocate new frame buffer 2560x1024 stride 2560
---
> (II) intel(0): Setting screen physical size to 338 x 228
401,406c399,404

I don't believe the MEP monitor supports 1152x864, BTW.

Version-Release number of selected component (if applicable):
xorg-x11-server-debuginfo-1.6.99-39.20090820.fc12.x86_64
xorg-x11-server-utils-7.4-11.fc12.x86_64
xorg-x11-server-Xorg-1.6.99-39.20090820.fc12.x86_64
xorg-x11-drv-intel-2.8.0-8.fc12.x86_64
xorg-x11-server-common-1.6.99-39.20090820.fc12.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2009-08-25 13:29:08 UTC
Created attachment 358570 [details]
Photo of screen with "25% solution" partial display of gdm-greeeter

I attach photo of screen showing the partial display of gdm-greeter on Mitsubish monitor.

Works just fine on my HP display.

Also, screen "corrects" after login/gnome.

Comment 2 Adam Jackson 2009-08-27 18:36:39 UTC
Can you attach the actual X log from the MEP monitor so I can see if it supports that mode or not?

Comment 3 Tom London 2009-08-27 18:42:56 UTC
Created attachment 358939 [details]
Xorg.0.log booting with MEL monitor

Sure.

Here it is!

Says: (II) intel(0): Manufacturer: MEL  Model: 4341  Serial#: 525

Comment 4 Tom London 2009-09-09 14:24:24 UTC
Created attachment 360228 [details]
Xorg.0.log.....

Hey, appears that Xorg now brings up this monitor properly.

gdm-greeter now comes up nicely on screen.

Current packages:

xorg-x11-server-utils-7.4-11.fc12.x86_64
xorg-x11-server-debuginfo-1.6.99.900-1.fc12.x86_64
xorg-x11-server-Xorg-1.6.99.900-1.fc12.x86_64
xorg-x11-drv-intel-2.8.0-12.20090908.fc12.x86_64
xorg-x11-server-common-1.6.99.900-1.fc12.x86_64

This fixed (or am I just lucky!)?

Comment 5 Matěj Cepl 2009-11-05 17:14:24 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 Tom London 2009-11-05 19:13:16 UTC
As I reported in #4, this has been working for me since 9 September.

I'll close.....


Note You need to log in before you can comment on or make changes to this bug.